package com.yizhi.system.application.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel (
        value = "SaltAccountVO",
        description = "传输类"
)
public class SaltAccountVO {

    @ApiModelProperty ("加密的账号名称")
    private String name;

    @ApiModelProperty ("加密的真实姓名")
    private String fullName;
    
    @ApiModelProperty ("盐")
    private String salt;
    
    @ApiModelProperty ("学习平台提供给第三方的appId")
    private String appId;
    
    @ApiModelProperty ("用户名验证方式：null或0=不验证用户名；1=第三方使用学习平台的加密规则验证用户名；2=学习平台使用第三方的加密规则验证用户名")
    private Integer type;
    
    @ApiModelProperty ("终端类型：1=安卓，0=IOS，3=微信，4=PC")
    private Integer terminalType;
}
