package com.yizhi.system.application.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel (
        value = "SaltPlusAccountVO",
        description = "传输类"
)
public class SaltPlusAccountVO {


    @ApiModelProperty ("学习平台提供给第三方的appId")
    private String appId;

    @ApiModelProperty ("加密的账号名称（md5nm）")
    private String name;

    @ApiModelProperty ("终端类型：1=安卓，0=IOS，3=微信，4=PC, 5=管理端（mp）")
    private Integer terminalType;
    
    @ApiModelProperty ("盐")
    private String salt;

    @ApiModelProperty ("用户名验证方式：null或0=不验证用户名；1=第三方使用学习平台的加密规则验证用户名；2=学习平台使用第三方的加密规则验证用户名")
    private Integer type;

    @ApiModelProperty ("提供的一次性校验值，访问后立即失效")
    private String token;

    @ApiModelProperty ("token加盐进行md5")
    private String sign;

    @ApiModelProperty ("免登录成功后跳转的首页地址")
    private String hrefUrl;
}
