/**
 * 
 */
package com.yizhi.core.application.publish;

import com.yizhi.core.application.event.EventWrapper;
import org.springframework.amqp.rabbit.core.RabbitTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * 事件发布类
 * @author scotthu
 *
 * @date 2018年3月28日
 */
@Component
public class CloudEventPublisher {

    @Autowired
    RabbitTemplate  rabbitTemplate;


    public <T> void publish(String queue, EventWrapper<T> event) {
        rabbitTemplate.convertAndSend(queue,event);
    }

}